<?php

declare(strict_types=1);

namespace App\Entity\Core;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * Région géographique.
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class Region
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(targetEntity: Country::class, cascade: [])]
    #[ORM\JoinColumn(nullable: false)]
    protected Country $country;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCountry(): Country
    {
        return $this->country;
    }

    public function setCountry(Country $country): self
    {
        $this->country = $country;

        return $this;
    }
}
